package com.huyi.service.base.service;

import com.huyi.service.base.entity.TeCityInf;

import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: ITeCityInfService<br>
 * Description: TeCityInfService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface ITeCityInfService extends IService<TeCityInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<TeCityInf>
     * @return IPage<TeCityInf>
     */
    IPage<TeCityInf> findTeCityInfs(QueryRequest request, LambdaQueryWrapper<TeCityInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<TeCityInf>
     * @return List<TeCityInf>
     */
    List<TeCityInf> findTeCityInfs(LambdaQueryWrapper<TeCityInf> wrapper);

    /**
     * 新增
     *
     * @param teCityInf teCityInf
     */
    void createTeCityInf(TeCityInf teCityInf);

    /**
     * 修改
     *
     * @param teCityInf teCityInf
     */
    void updateTeCityInf(TeCityInf teCityInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<TeCityInf>
     */
    void deleteTeCityInf(LambdaQueryWrapper<TeCityInf> wrapper);
}
