package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 短信验证码信息表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("pub_verify_code")
public class PubVerifyCode implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("pvc_id")
    private String pvcId;

    /**
     * 校验码
     */
    @TableField("pvc_code")
    private String pvcCode;

    /**
     * 手机号
     */
    @TableField("pvc_phone")
    private String pvcPhone;

    /**
     * 发送时间
     */
    @TableField("pvc_last_time")
    private Date pvcLastTime;

    /**
     * 00：未校验；01：已校验
     */
    @TableField("pvc_state")
    private String pvcState;


}
